package com.example.takeawaysystemserver.controller;

import com.example.takeawaysystemserver.model.dto.*;
import com.example.takeawaysystemserver.service.UserService;
import com.example.takeawaysystemserver.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.*;

/**
 * @author Ethereal
 * @date 2024/7/12
 * @description
 */
@RestController
@Api(tags = "用户模块")
@RequestMapping("user")
public class UserController {

    @Resource
    private UserService userService;

    @PostMapping("/register")
    @ApiOperation(value = "用户注册")
    public R<String> register(@RequestBody UserRegisterDTO userRegisterDTO){
        return userService.register(userRegisterDTO);
    }

    @PostMapping("/login")
    @ApiOperation(value = "用户登录")
    public R<String> login(@RequestBody UserLoginDTO userLoginDTO){
        return userService.login(userLoginDTO);
    }

    @PostMapping("/logout")
    @ApiOperation(value = "登出")
    public R<String> logout(@RequestHeader String token){
        return userService.logout(token);
    }

    @PostMapping("update-userinfo")
    @ApiOperation(value = "修改用户信息")
    public R<String> updateUserinfo(@RequestHeader String token, @RequestBody UserUpdateDTO userUpdateDTO){
        return userService.updateUserInfo(token, userUpdateDTO);
    }

    @PostMapping("update-password")
    @ApiOperation(value = "修改用户密码")
    public R<String> updatePassword(@RequestHeader String token, UserPasswordDTO userPasswordDTO){
        return userService.updatePassword(token,userPasswordDTO);
    }
}
