package com.example.takeawaysystemserver.mapper;

import com.example.takeawaysystemserver.entity.Dish;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author qiushengyu
* @description 针对表【dish】的数据库操作Mapper
* @createDate 2024-07-11 17:11:31
* @Entity com.example.takeawaysystemserver.entity.Dish
*/
@Mapper
public interface DishMapper extends BaseMapper<Dish> {
    /**
     * 根据关键字搜索菜品
     * @param keyword 关键字
     * @param shopId 商家Id
     * @return 菜品列表
     */
    List<Dish> searchByDishKeyword(@Param("keyword")String keyword, @Param("id")Integer shopId);
}




