package com.example.takeawaysystemserver.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.takeawaysystemserver.entity.Dish;
import com.example.takeawaysystemserver.entity.DishFlavor;
import com.example.takeawaysystemserver.entity.Shop;
import com.example.takeawaysystemserver.mapper.DishMapper;
import com.example.takeawaysystemserver.mapper.ShopMapper;
import com.example.takeawaysystemserver.service.DishService;
import com.example.takeawaysystemserver.service.ShopService;
import com.example.takeawaysystemserver.util.R;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author qiushengyu
* @description 针对表【shop】的数据库操作Service实现
* @createDate 2024-07-11 17:13:56
*/
@Service
public class ShopServiceImpl extends ServiceImpl<ShopMapper, Shop>
    implements ShopService{
    @Resource
    private DishMapper dishMapper;

    @Override
    public R<List<Shop>> getAllShop() {
        LambdaQueryWrapper<Shop> wrapper = new LambdaQueryWrapper<Shop>();
        return R.ok(list(wrapper));
    }

    @Override
    public R<List<Dish>> getShopDishes(Integer id) {
        List<Dish> dishes = baseMapper.getShopDishes(id);
        for (Dish dish: dishes) {
            List<DishFlavor> dishFlavors = baseMapper.flavors(dish.getId());
            dish.setDishFlavors(dishFlavors);
        }
        return R.ok(dishes);
    }

    @Override
    public R<List<Shop>> search(String keyword) {
        List<Shop> shops = baseMapper.searchBykKeyword(keyword);
        for (Shop s : shops) {
            List<Dish> dishes = dishMapper.searchByDishKeyword(keyword, s.getId());
            if (dishes != null){
                s.setDishes(dishes);
            }
        }
        return R.ok(shops);
    }
}




